FontEventProducer (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.fonts

## Interface FontEventProducer

-     public interface FontEventProducer

  Event producer for fonts-related events.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `FontEventProducer.Provider` Provider class for the event producer.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fontDirectoryNotFound(java.lang.Object source, java.lang.String dir)` An error occurred trying to find the font directory specified in the config file.
    `void` | `fontFeatureNotSuppprted(java.lang.Object source, java.lang.String feature, java.lang.String onlySupportedIn)` A method to warn the user that the feature they are trying to use is not supported with either the renderer or other setting.
    `void` | `fontLoadingErrorAtAutoDetection(java.lang.Object source, java.lang.String fontURL, java.lang.Exception e)` An error occurred while loading a font for auto-detection.
    `void` | `fontSubstituted(java.lang.Object source, FontTriplet requested, FontTriplet effective)` Notifies about a font being substituted as the requested one isn't available.
    `void` | `glyphNotAvailable(java.lang.Object source, char ch, java.lang.String fontName)` A glyph has been requested that is not available in the font.
    `void` | `svgTextStrokedAsShapes(java.lang.Object source, java.lang.String fontFamily)` The SVG text will be stroked as shapes.

- - ### Method Detail

    - #### fontSubstituted

          void fontSubstituted(java.lang.Object source,
                               FontTriplet requested,
                               FontTriplet effective)

      Notifies about a font being substituted as the requested one isn't available.
      Parameters:
        `source` - the event source
        `requested` - the requested font triplet
        `effective` - the effective font triplet
      Event severity level:
        WARN

    - #### fontLoadingErrorAtAutoDetection

          void fontLoadingErrorAtAutoDetection(java.lang.Object source,
                                               java.lang.String fontURL,
                                               java.lang.Exception e)

      An error occurred while loading a font for auto-detection.
      Parameters:
        `source` - the event source
        `fontURL` - the font URL
        `e` - the original exception
      Event severity level:
        WARN

    - #### glyphNotAvailable

          void glyphNotAvailable(java.lang.Object source,
                                 char ch,
                                 java.lang.String fontName)

      A glyph has been requested that is not available in the font.
      Parameters:
        `source` - the event source
        `ch` - the character for which the glyph isn't available
        `fontName` - the name of the font
      Event severity level:
        WARN

    - #### fontDirectoryNotFound

          void fontDirectoryNotFound(java.lang.Object source,
                                     java.lang.String dir)

      An error occurred trying to find the font directory specified in the config file.
      Parameters:
        `source` - the event source
        `dir` - the directory in the config file
      Event severity level:
        WARN

    - #### svgTextStrokedAsShapes

          void svgTextStrokedAsShapes(java.lang.Object source,
                                      java.lang.String fontFamily)

      The SVG text will be stroked as shapes.
      Parameters:
        `source` - the event source
        `fontFamily` - the family name of the font that is being stroked
      Event severity level:
        WARN

    - #### fontFeatureNotSuppprted

          void fontFeatureNotSuppprted(java.lang.Object source,
                                       java.lang.String feature,
                                       java.lang.String onlySupportedIn)

      A method to warn the user that the feature they are trying to use is not supported with either the renderer or other setting.
      Parameters:
        `source` -
        `feature` - The feature that has caused the not supported issue
        `onlySupportedIn` - The renderer / setting that this feature works with.
      Event severity level:
        ERROR

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.